Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

ocStore 3.0.3.7 - Модифицированный OpenCart


 Share

Recommended Posts

2 часа назад, alex1989 сказал:

перехал с 21 на 3.0.2.0

замечаю жесткие глюки

возможно, причина глюков в действиях переезжавшего ;)

 

35 минут назад, alex1989 сказал:

Кстате начал бы с того что фильтр на странице заказов крайне неудобен с правой стороны

это не глюк, так сделано изначально в самом opencart 3-ей ветки и сборка ocStore здесь ни при чем

как вариант:

 

Link to comment
Share on other sites

29 минут назад, alex1989 сказал:

я пользуюсь готовыми решениями, я пользователь ))

говорю как мне удобно.

Понятие удобства у каждого свое, это вкусовщина. Поэтому если то, что представлено в сборке не выдает ошибок и выполняет свою функцию, то априори это не является "жесткими глюками" по причине того что, кому-то не удобно.

Link to comment
Share on other sites

2 часа назад, alex1989 сказал:

я пользуюсь готовыми решениями, я пользователь ))

говорю как мне удобно.

В 18 веке удобно было в лаптях ходить и на коне ездить!

Link to comment
Share on other sites


12 часов назад, alex1989 сказал:

я пользуюсь готовыми решениями, я пользователь ))

говорю как мне удобно.

На уровне пользователя можно скопировать ссылку (даже в админке) и сделать снимок экрана. А также сделать словесное описание того, что видите на экране и на какой странице и после каких действий (это кажется уровень первого класса, когда смотришь на картинку и проговариваешь, что конкретно ты видишь).

 

Дорогие пользователи, пожалуйста, видите ошибки - делайте снимки экранов. Это займет +1 минуту от силы. Но ведь, когда Вы пишите здесь, Вы уже тратите свое время. Если не хотели участвовать в решении ошибки, зачем вообще было писать и тратить свое время?

 

Сверхзадача для самых старательных пользователей - скопируйте текст ошибки и вставьте текстом вместе со снимком экрана.

 

Как по мне, так выглядит экологичный способ взаимодействия, когда пользователи помогают разработчикам найти конкретные ошибки, а разработчики смогут решить конкретные проблемы. По щучьему велению как-то не получается.

  • +1 1
Link to comment
Share on other sites

Прошу прощения, если ответ где-то уже был, но я не нашел.

Почему в ОС в требованиях значится PHP (at least 5.4), а в ОСstore PHP 7.1+?

 

 

Link to comment
Share on other sites


28 минут назад, yurgen сказал:

Прошу прощения, если ответ где-то уже был, но я не нашел.

Почему в ОС в требованиях значится PHP (at least 5.4), а в ОСstore PHP 7.1+?

 

 

У Вас какая-то не достоверная информация про 7.1, да и OcStore тут не причем.
image.thumb.png.880273b0fdf509986729be95d7e298a7.png

Link to comment
Share on other sites


Вижу, однако в блоке Requirements написано PHP 5.3.
 

image.thumb.png.41087f6fbfd74406f880221ed89076a1.png

 

А про OсStore PHP 7.1 взял тут: image.thumb.png.76d95726ee83722e9652e4ab164fd507.png
 

Не догоняю немного.

Купил шаблон Ultra Store. Там в требованиях минимум PHP 5.6.
Но как он может работать на 5.6, если Опенкарт работает на 7.3+? 

Link to comment
Share on other sites


4 минуты назад, yurgen сказал:

Не догоняю немного.

Купил шаблон Ultra Store. Там в требованиях минимум PHP 5.6.
Но как он может работать на 5.6, если Опенкарт работает на 7.3+? 

Все вполне логично.
Присмотритесь получше, версии для скачивания на сайтах доступны разные.
Понятное дело что какие-то версии будут и 5.2+

Конкретно версия 3.0.3.7 будет работать только на 7.3+.
А вот версия 3.0.3.2 будет на 7.1+ работать.

Вы посмотрите у шаблона какой верхний предел по PHP, а не минимальный.

Edited by AlektroNik
Link to comment
Share on other sites


Добрый день. А почему во всей третьей версии ocStore так и не доделана мультиязычность, как во второй версии? Думал в этом релизе это будет исправлено. На мой взгляд не нормально на странице контактов выводить название магазина и режим работы на одном языке.

  • +1 1
Link to comment
Share on other sites

2 часа назад, Bazilio сказал:

Добрый день. А почему во всей третьей версии ocStore так и не доделана мультиязычность, как во второй версии? Думал в этом релизе это будет исправлено. На мой взгляд не нормально на странице контактов выводить название магазина и режим работы на одном языке.

В тройке совсем убрали даже то, что было в двойке (мета-теги для главной). Рискну предположить: расчет на то, что на мультиязычном сайте все равно будут ставить модули мультиязыка. Ведь на двойке эти мета-теги не давали сайту никакого плюса, пока не установишь модуль мультиязыка. А в модулях мультиязыка они тоже есть.

Link to comment
Share on other sites

При сохранении опций выходит такая вот ошибка, кто знает в чем проблема? 

 

Screenshot_2.thumb.png.23311c0fd64d1a9c8d6a084df40edebb.png

 

Здесь есть аналогичная ситуация

https://opencartforum.com/topic/120088-oshibka-sohranenie-tovarov/?do=findComment&comment=1737617

Edited by CONTRAST230
Link to comment
Share on other sites


1 час назад, CONTRAST230 сказал:

При сохранении опций выходит такая вот ошибка, кто знает в чем проблема?

смотреть значение max_input_vars и увеличить при необходимости

 

 

Link to comment
Share on other sites

16 минут назад, AlexDW сказал:

смотреть значение max_input_vars и увеличить при необходимости

 

 

 

Вряд-ли проблема в этом... есть знающие? 

Link to comment
Share on other sites


А почему акционная цена показывается когда стоит опция в настройках не показывать цены до логина?

 

Так ведь должно быть

if ((($this->config->get('config_customer_price') && $this->customer->isLogged()) || !$this->config->get('config_customer_price')) && (!is_null($result['special']) && (float)$result['special'] >= 0)) {

 

Фиксится конечно быстро, но все равно вопрос. У Данилы так же?

Link to comment
Share on other sites

3 часа назад, staniki сказал:

А почему акционная цена показывается когда стоит опция в настройках не показывать цены до логина?

Это проблема используемого шаблона, а не движка.

В дефолтном шаблоне всё учтено.

Вот так выводятся цены:

{% if product.price %}
<p class="price"> {% if not product.special %}
  {{ product.price }}
  {% else %} <span class="price-new">{{ product.special }}</span> <span class="price-old">{{ product.price }}</span> {% endif %}
  {% if product.tax %} <span class="price-tax">{{ text_tax }} {{ product.tax }}</span> {% endif %} </p>
{% endif %}

Весь вывод цены завёрнут в проверку  {% if product.price %}

 

Link to comment
Share on other sites

1 час назад, mxuper сказал:

Сейчас стоит OPenCart Version 3.0.3.2

Можно ли мигрировать как то на OcStore? Или только чистая установка?

кроме отличий в файлах, ocStore от оригинального Opencart имеет отличия и в БД

поэтому лучше ставить с нуля

  • +1 1
Link to comment
Share on other sites

Коллеги, добрый день.
Никто не встречался с глюками при включении максимальной времени жизни кеша на стороне клиента CACHE TTL?
К примеру, нажимаю включить модуль "плюсик", потом редактирую, сохраняю, перекидывает обратно на список модулей, но показывает якобы модуль выключен, нажимаю F5, страничка обновляется и все ок (включено).
Аналогчиная ситуация, но с настройками шаблона. При сохранение настроек шаблона по кругу предлагает очистить кеш шаблона.

 

Такое ощущение, что кешируется что-то лишнее. И этому способствует строчка "ExpiresDefault "access plus 604800 seconds"".

 

 

По факту в виртуальный хост Apache добавлено несколько стандартных строчек, с которыми не было проблем на OcStore 2.3:

        <ifModule mod_expires.c>
    ExpiresActive On
    ExpiresDefault "access plus 604800 seconds"
</ifModule>
<IfModule mod_headers.c>
    
    <filesMatch ".+\.(ttf|jpg|jpeg|png|ico|css|bmp|swf|js|txt|tar|zip|pdf|tar\.gz|woff[2]?)$">
    Header set Cache-Control "max-age=604800"
    </filesMatch>
</IfModule>

 

Link to comment
Share on other sites


3 минуты назад, AlektroNik сказал:

 

Такое ощущение, что кешируется что-то лишнее. И этому способствует строчка "ExpiresDefault "access plus 604800 seconds"".

этим вы делаете статический интернет магазин 

  • +1 1
Link to comment
Share on other sites

20 минут назад, spectre сказал:

этим вы делаете статический интернет магазин 

 

Если я Вас правильно понял Вы предлагаете удалить вот эту часть?:
 

<ifModule mod_expires.c>
    ExpiresActive On
    ExpiresDefault "access plus 604800 seconds"
</ifModule>

 

Edited by AlektroNik
Link to comment
Share on other sites


Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

On our site, cookies are used and personal data is processed to improve the user interface. To find out what and what personal data we are processing, please go to the link. If you click "I agree," it means that you understand and accept all the conditions specified in this Privacy Notice.